"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const web3_js_1 = require("@solana/web3.js");
const client_1 = require("../../src/client");
const utils_1 = require("../../src/utils");
async function main() {
    const client = client_1.MangoClient.connectDefault(process.env.MB_CLUSTER_URL);
    const group = await client.getGroup(new web3_js_1.PublicKey('78b8f4cGCwmZ9ysPFMWLaLTkkaYnUjwMJYStWe5RTSSX'));
    const mangoAccounts = await client.getAllMangoAccounts(group, true);
    const solPerp = group.getPerpMarketByName('SOL-PERP');
    const solPPs = mangoAccounts
        .filter((a) => a
        .perpActive()
        .filter((pp) => pp.marketIndex === solPerp.perpMarketIndex &&
        pp.getNotionalValueUi(solPerp) > 1000).length > 0)
        .map((a) => {
        const pp = a
            .perpActive()
            .filter((pp) => pp.marketIndex === solPerp.perpMarketIndex)[0];
        pp['mangoAccount'] = a.publicKey;
        return pp;
    });
    solPPs.forEach((pp) => {
        let out = ``;
        out += `https://app.mango.markets/?address=${pp['mangoAccount']}, `;
        out += `bep ${pp.getBreakEvenPriceUi(solPerp)}, `;
        out += `aep ${pp.getAverageEntryPriceUi(solPerp)}, `;
        out += `uFunding ${pp.getUnsettledFundingUi(solPerp)}, `;
        out += `rPnl ${(0, utils_1.toUiDecimalsForQuote)(pp.realizedPnlForPositionNative)}, `;
        out += `qRn ${(0, utils_1.toUiDecimalsForQuote)(pp.quoteRunningNative)}, `;
        console.log(out);
    });
}
main();
